> ## Documentation Index
> Fetch the complete documentation index at: https://docs.filexpress.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar presupuestos

> Presupuestos por centro de costo (sin líneas), del año más reciente al más antiguo.

**Permiso requerido:** `accounting.budgets`



## OpenAPI

````yaml /api-reference/openapi.json get /accounting/budgets
openapi: 3.0.3
info:
  title: FileXpress API Externa
  version: 1.0.0
  description: >-
    API para integrar sistemas de terceros con FileXpress: facturación, RRHH,
    contabilidad, inventario, proyectos, cuentas por cobrar y pagar, tesorería,
    precios y promociones y caja.
servers:
  - url: https://api.filexpress.app/api/external
    description: Producción
security:
  - ApiKey: []
tags:
  - name: General
  - name: Facturación · Ventas
  - name: Facturación · Compras
  - name: Facturación · Clientes
  - name: Facturación · Proveedores
  - name: Facturación · Productos
  - name: Catálogos
  - name: RRHH · Empleados
  - name: RRHH · Asistencia
  - name: RRHH · Reglas laborales
  - name: RRHH · Horarios
  - name: RRHH · Feriados
  - name: RRHH · Resultados de asistencia
  - name: RRHH · Permisos
  - name: RRHH · Planillas
  - name: Contabilidad
  - name: Inventario
  - name: Proyectos
  - name: Cuentas por cobrar
  - name: Cuentas por pagar
  - name: Tesorería
  - name: Precios y promociones
  - name: Caja
  - name: Puntos de venta
paths:
  /accounting/budgets:
    get:
      tags:
        - Contabilidad
      summary: Listar presupuestos
      description: >-
        Presupuestos por centro de costo (sin líneas), del año más reciente al
        más antiguo.


        **Permiso requerido:** `accounting.budgets`
      parameters:
        - name: fiscal_year
          in: query
          required: false
          description: Año.
          schema:
            type: integer
        - name: status
          in: query
          required: false
          description: Estado.
          schema:
            type: string
            enum:
              - draft
              - approved
              - closed
      responses:
        '200':
          description: Éxito
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - data
                properties:
                  status:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Budget'
              example:
                status: true
                data:
                  - id: 9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11
                    business_id: 3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01
                    name: Presupuesto 2026
                    fiscal_year: 2026
                    status: draft
                    notes: null
                    lines_count: 1
                    total_amount: 100
                    created_at: '2026-10-08T15:00:00.000000Z'
                    updated_at: '2026-10-08T15:00:00.000000Z'
        '401':
          $ref: '#/components/responses/E401'
        '403':
          $ref: '#/components/responses/E403'
        '429':
          $ref: '#/components/responses/E429'
components:
  schemas:
    Budget:
      type: object
      properties:
        id:
          type: string
          format: uuid
        business_id:
          type: string
          format: uuid
        name:
          type: string
        fiscal_year:
          type: integer
        status:
          type: string
          description: Estado.
          enum:
            - draft
            - approved
            - closed
        notes:
          type: string
          nullable: true
        lines_count:
          type: integer
        total_amount:
          type: number
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        lines:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              cost_center_id:
                type: string
                format: uuid
              account_id:
                type: string
                format: uuid
              month:
                type: integer
              amount:
                type: number
              cost_center:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  code:
                    type: string
                  name:
                    type: string
                required:
                  - id
                nullable: true
              account:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  code:
                    type: string
                  name:
                    type: string
                required:
                  - id
                nullable: true
            required:
              - cost_center_id
              - account_id
              - month
              - amount
      required:
        - id
        - name
        - fiscal_year
        - status
  responses:
    E401:
      description: API Key ausente o inválida
      content:
        application/json:
          example:
            status: false
            message: Invalid API Key.
    E403:
      description: Integración sin el permiso requerido o desactivada
      content:
        application/json:
          example:
            status: false
            message: This integration does not have the 'hr.employees' permission.
            required_scope: hr.employees
    E429:
      description: Límite de peticiones excedido
      content:
        application/json:
          example:
            status: false
            message: Rate limit exceeded. Please try again later.
            rate_limit: 100
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: API Key de la integración (Integraciones → Nueva Integración).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.